PlotMarker Class Reference

`#include <PlotCurve.h>`

Inheritance diagram for PlotMarker:

## Public Member Functions

double | angle ()
int | index ()
| PlotMarker (int index, double angle)
void | setAngle (double a)
void | setIndex (int i)
void | setLabelOffset (double xOffset, double yOffset)
double | xLabelOffset ()
double | yLabelOffset ()

## Protected Member Functions

void | draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRect &r) const
| Does the actual drawing; see QwtPlotItem::draw. More...

## Protected Attributes

double | d_angle
int | d_index
double | d_label_x_offset
| x coordinate offset More...
double | d_label_y_offset
| y coordinate offset More...

## Constructor & Destructor Documentation

PlotMarker::PlotMarker | ( | int | index,
|  | double | angle
| ) |  |

## Member Function Documentation

double PlotMarker::angle | ( |  | ) |

inline

References d_angle.

void PlotMarker::draw | ( | QPainter * | p,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRect & | r
| ) |  | const

protected

Does the actual drawing; see QwtPlotItem::draw.

References d_angle.

int PlotMarker::index | ( |  | ) |

inline

References d_index.

Referenced by Spectrogram::saveToString(), BoxCurve::updateLabels(), and DataCurve::updateLabelsPosition().

void PlotMarker::setAngle | ( | double | a | ) |

inline

References d_angle.

Referenced by Spectrogram::setLabelsRotation(), and DataCurve::setLabelsRotation().

void PlotMarker::setIndex | ( | int | i | ) |

inline

References d_index.

void PlotMarker::setLabelOffset | ( | double | xOffset,
|  | double | yOffset
| ) |  |

inline

References d_label_x_offset, and d_label_y_offset.

Referenced by Spectrogram::copy(), Spectrogram::moveLabel(), and Spectrogram::setLabelOffset().

double PlotMarker::xLabelOffset | ( |  | ) |

inline

References d_label_x_offset.

Referenced by Spectrogram::copy(), Spectrogram::moveLabel(), Spectrogram::saveToString(), and Spectrogram::updateLabels().

double PlotMarker::yLabelOffset | ( |  | ) |

inline

References d_label_y_offset.

Referenced by Spectrogram::copy(), Spectrogram::moveLabel(), Spectrogram::saveToString(), and Spectrogram::updateLabels().

## Member Data Documentation

double PlotMarker::d_angle

protected

Referenced by angle(), draw(), and setAngle().

int PlotMarker::d_index

protected

Referenced by index(), and setIndex().

double PlotMarker::d_label_x_offset

protected

x coordinate offset

Referenced by setLabelOffset(), and xLabelOffset().

double PlotMarker::d_label_y_offset

protected

y coordinate offset

Referenced by setLabelOffset(), and yLabelOffset().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/PlotCurve.h
- qtiplot/src/plot2D/PlotCurve.cpp